phing-types

# Class: PathElement Source Location: /types/Path.php
### Class Overview
Helper class, holds the nested &lt;pathelement&gt; values. | ### Methods __construct getParts setDir setPath
### Class Details [line 432] Helper class, holds the nested &lt;pathelement&gt; values. [ Top ] ### Class Methods ### constructor __construct [line 437]
`PathElement __construct( Path $outer)`
#### Tags:
access: | public
#### Parameters:
Path | $outer |
[ Top ] ### method getParts [line 449]
`void getParts( )`
#### Tags:
access: | public
[ Top ] ### method setDir [line 441]
`void setDir( $loc)`
#### Tags:
access: | public
#### Parameters:
PhingFile | $loc |
[ Top ] ### method setPath [line 445]
`void setPath( $path)`
#### Tags:
access: | public
#### Parameters:
| $path |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:24 +0200 by phpDocumentor 1.4.3